> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Blast Analytics

> Get aggregated analytics across all completed blasts.



## OpenAPI

````yaml get /comms/blasts/analytics
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/blasts/analytics:
    get:
      tags:
        - Message Blasts
      summary: Get Blast Analytics
      description: Get aggregated analytics across all completed blasts.
      operationId: get_blast_analytics_comms_blasts_analytics_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: From
        - name: to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: To
        - name: blastNames
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Blastnames
        - name: mediums
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Mediums
        - name: types
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Types
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlastAnalyticsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BlastAnalyticsResponse:
      properties:
        total_blasts:
          type: integer
          title: Total Blasts
          default: 0
        total_sms_blasts:
          type: integer
          title: Total Sms Blasts
          default: 0
        total_email_blasts:
          type: integer
          title: Total Email Blasts
          default: 0
        total_recipients:
          type: integer
          title: Total Recipients
          default: 0
        total_sms_recipients:
          type: integer
          title: Total Sms Recipients
          default: 0
        total_email_recipients:
          type: integer
          title: Total Email Recipients
          default: 0
        total_sent:
          type: integer
          title: Total Sent
          default: 0
        total_sms_sent:
          type: integer
          title: Total Sms Sent
          default: 0
        total_email_sent:
          type: integer
          title: Total Email Sent
          default: 0
        total_cost_cents:
          type: integer
          title: Total Cost Cents
          default: 0
        total_sms_cost_cents:
          type: integer
          title: Total Sms Cost Cents
          default: 0
        total_email_cost_cents:
          type: integer
          title: Total Email Cost Cents
          default: 0
        avg_open_rate:
          type: number
          title: Avg Open Rate
          default: 0
        avg_click_rate:
          type: number
          title: Avg Click Rate
          default: 0
        total_opens:
          type: integer
          title: Total Opens
          default: 0
        total_clicks:
          type: integer
          title: Total Clicks
          default: 0
        total_revenue_cents:
          type: integer
          title: Total Revenue Cents
          default: 0
        total_appointments_booked:
          type: integer
          title: Total Appointments Booked
          default: 0
        total_replies:
          type: integer
          title: Total Replies
          default: 0
        total_unsubscribed:
          type: integer
          title: Total Unsubscribed
          default: 0
        direct_appointments_booked:
          type: integer
          title: Direct Appointments Booked
          default: 0
        indirect_appointments_booked:
          type: integer
          title: Indirect Appointments Booked
          default: 0
        direct_revenue_cents:
          type: integer
          title: Direct Revenue Cents
          default: 0
        indirect_revenue_cents:
          type: integer
          title: Indirect Revenue Cents
          default: 0
        daily_data:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Daily Data
          default: []
        group_data:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Group Data
          default: []
      type: object
      title: BlastAnalyticsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````